#ifndef RECT_H
#define RECT_H
// Classe avec vérification des longueurs des cotés:
// on veut s'assurer que les rectangles ne sont pas dégénérés
// leurs cotés doivent être strictement positifs

class Rect
{
public: 
    Rect(double width,double height);         // requiert un constr par défaut
    //~ Rect(double width=1,double height=1); // inclut   le constr par défaut
    Rect();
    //~ Rect()=default;        // ne pas utiliser car aucune vérification possible
	void set_width(double w);  // est responsable de vérifier son paramètre
	void set_height(double h); // est responsable de vérifier son paramètre
    double surf() const;
private:
	double width ; //= 1.; // acceptable
	double height; //= 1.; // acceptable
};

#endif
